import request, { postBlob, getBlob, handleImport } from '@/utils/request'

// 获取列表
export function listPageV2(data) {
  return request({
    url: `/examine/project/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

//导出
export function pageExport(data, name) {
  return postBlob({
    url: '/examine/project/list/export',
    data,
    name
  })
}

// 获取列表
export function getExamine(data) {
  return request({
    url: `/examine/project/config/list`,
    method: 'post',
    data
  })
}

// 新增
export function add(data) {
  return request({
    url: `/examine/project/add`,
    method: 'post',
    data
  })
}

// 编辑
export function edit(data) {
  return request({
    url: `/examine/project/edit`,
    method: 'post',
    data
  })
}

// 删除
export function del(data) {
  return request({
    url: `/examine/project/delete`,
    method: 'post',
    data
  })
}

// 详情
export function getDetail(params) {
  return request({
    url: `/examine/project/detail`,
    method: 'post',
    params
  })
}